| AOMedia AV1 Codec

RestUnitSearchInfo Struct Reference

Parameters related to restoration types. More...

`#include <encoder.h>`

## Data Fields
WienerInfo | wiener
SgrprojInfo | sgrproj
RestorationType | best_rtype [RESTORE_TYPES - 1]

## Detailed Description

Parameters related to restoration types.

## Field Documentation

## ◆ wiener

WienerInfo RestUnitSearchInfo::wiener

Stores the best coefficients for Wiener restoration.

## ◆ sgrproj

SgrprojInfo RestUnitSearchInfo::sgrproj

Stores the best coefficients for Sgrproj restoration.

## ◆ best_rtype

RestorationType RestUnitSearchInfo::best_rtype[RESTORE_TYPES - 1]

The rtype to use for this unit given a frame rtype as index. Indices: WIENER, SGRPROJ, SWITCHABLE.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h